import { useTranslations } from 'next-intl'

import {
	TbChartHistogram,
	TbDatabase,
	TbPalette
} from 'react-icons/tb'

export const getSidebarGroups = () => {
	const tg = useTranslations('')
	const t = useTranslations('categories')

	return [
		{
			key: 'general',
			title: '',
			items: [
				{
					title: t('datasets'),
					url: '/datasets',
					icon: TbDatabase
				},
				{
					title: t('widgets'),
					url: '/widgets',
					icon: TbChartHistogram
				},
				{
					title: t('themes'),
					url: '/themes',
					icon: TbPalette
				}
			]
		}
	]
}
